aboutsummaryrefslogtreecommitdiffstats
path: root/prep-vm1-aaf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'prep-vm1-aaf.sh')
-rwxr-xr-xprep-vm1-aaf.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/prep-vm1-aaf.sh b/prep-vm1-aaf.sh
new file mode 100755
index 0000000..09ae53a
--- /dev/null
+++ b/prep-vm1-aaf.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -e
+
+# Assuming running this script from a VM that is spun up by Open eCOMP HEAT template.
+# Hence it has the git and docker registry configurations provided as files under /opt/config
+
+if [ -e /opt/config/gitlab_repo.txt ]; then
+ export GIT_PATH=`cat cat /opt/config/gitlab_repo.txt`
+fi
+if [ -e /opt/config/gitlab_username.txt ]; then
+ export GIT_USERNAME=`cat /opt/config/gitlab_username.txt`
+fi
+if [ -e /opt/config/gitlab_password.txt ]; then
+ export GIT_PASSWORD=`cat /opt/config/gitlab_password.txt`
+fi
+if [ -e /opt/config/gitlab_branch.txt ]; then
+ export GIT_BRANCH=`cat /opt/config/gitlab_branch.txt`
+else
+ export GIT_BRANCH="master"
+fi
+
+
+
+#https://23.253.149.175/lj1412/dcae-startup-vm-message-router
+
+
+git -c http.sslVerify=false clone -b ${GIT_BRANCH} https://${GIT_USERNAME}:${GIT_PASSWORD}@${GIT_PATH}/dcae-startup-vm-aaf.git
+cd dcae-startup-vm-aaf && ./deploy.sh
+